package com.ruoyi.bst.device.service;

import java.util.List;

public interface DeviceValidator {

    /**
     * 当前用户是否可以编辑设备
     * @param id
     * @return
     */
    boolean canEdit(Long id);

    /**
     * 当前用户是否可以删除设备
     * @param ids
     * @return
     */
    boolean canDeleteAll(List<Long> ids);

    /**
     * 用户是否有权限访问设备的websocket链接
     * @param mac
     * @param userId
     * @return
     */
    boolean canLink(String mac, Long userId);

}
